Loading...
Searching...
No Matches
L4::Type_info::Demand_union_t< D1, D2 > Struct Template Reference

Template type statically describing the combination of two Demand object. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Type_info::Demand_union_t< D1, D2 >:
Collaboration diagram for L4::Type_info::Demand_union_t< D1, D2 >:

## Additional Inherited Members

Public Types inherited from L4::Type_info::Demand_t< __I::Max< D1::Caps, D2::Caps >::Res, D1::Flags|D2::Flags, __I::Max< D1::Mem, D2::Mem >::Res, __I::Max< D1::Ports, D2::Ports >::Res >
Public Member Functions inherited from L4::Type_info::Demand
| Demand (unsigned char caps=0, unsigned char flags=0, unsigned char mem=0, unsigned char ports=0) noexcept
| Make Demand object.
bool | no_demand () const noexcept
Demand | operator| (Demand const &rhs) const noexcept
| get the combined demand of this and rhs
Data Fields inherited from L4::Type_info::Demand
unsigned char | caps
| number of capability receive buffers.
unsigned char | flags
| flags, such as the need for timeouts (TBD).
unsigned char | mem
| number of memory receive buffers.
unsigned char | ports
| number of IO-port receive buffers.

## Detailed Description

template<typename D1, typename D2>
struct L4::Type_info::Demand_union_t< D1, D2 >

Template type statically describing the combination of two Demand object.

Template Parameters

  D1 | first demand object.
  D2 | second demand object.

Definition at line 573 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h